/*
 * Copyright (C) 2014-2024 Philip Helger (www.helger.com)
 * philip[at]helger[dot]com
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.helger.photon.uictrls.datatables;

import javax.annotation.concurrent.Immutable;

/**
 * This class contains all the version numbers for the Datatables components.
 *
 * @author Philip Helger
 */
@Immutable
final class CDataTablesComponentVersion
{
  static final String DT = "2.0.5";
  static final String AUTO_FILL = "2.7.0";
  static final String BUTTONS = "3.0.2";
  static final String COL_REORDER = "2.0.1";
  static final String DATETIME = "1.5.2";
  static final String FIXED_COLUMNS = "5.0.0";
  static final String FIXED_HEADER = "4.0.1";
  static final String JS_ZIP = "3.10.1";
  static final String KEY_TABLE = "2.12.0";
  static final String PDF_MAKE = "0.2.7";
  static final String RESPONSIVE = "3.0.2";
  static final String ROW_GROUP = "1.5.0";
  static final String ROW_REORDER = "1.5.0";
  static final String SCROLLER = "2.4.1";
  static final String SEARCH_BUILDER = "1.7.1";
  static final String SEARCH_PANES = "2.3.1";
  static final String SELECT = "2.0.1";
  static final String STATE_RESTORE = "1.4.1";

  private CDataTablesComponentVersion ()
  {}
}
