/*
 * Copyright (C) 2014-2024 Philip Helger (www.helger.com)
 * philip[at]helger[dot]com
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.helger.html.jquery.config;

import javax.annotation.Nonnull;

import com.helger.html.hc.config.IHCOnDocumentReadyProvider;
import com.helger.html.jquery.JQuery;
import com.helger.html.js.IHasJSCode;

/**
 * The default JQuery based "on document ready" provider.
 *
 * @author Philip Helger
 */
public class JQueryOnDocumentReadyProvider implements IHCOnDocumentReadyProvider
{
  @Nonnull
  public IHasJSCode createOnDocumentReady (final IHasJSCode aJSCodeProvider)
  {
    return JQuery.onDocumentReady (aJSCodeProvider);
  }
}
