/*
 * Copyright (C) 2014-2024 Philip Helger (www.helger.com)
 * philip[at]helger[dot]com
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.helger.html.jquery;

import static org.junit.Assert.assertNotNull;

import org.junit.Test;

/**
 * Unit test class for interface @{link IJQueryInvocation}
 * 
 * This file is generated - do NOT edit!
 * @author com.helger.html.jquery.supplementary.main.Main_QueryInvocationFuncTest
 */
public final class JQueryInvocationFuncTest
{
  // Methods start here

  @Test
  public void testAdd ()
  {
    assertNotNull (JQuery.idRef ("any").add ());
  }

  @Test
  public void testAddBack ()
  {
    assertNotNull (JQuery.idRef ("any").addBack ());
  }

  @Test
  public void testAddClass ()
  {
    assertNotNull (JQuery.idRef ("any").addClass ());
  }

  @Test
  public void testAfter ()
  {
    assertNotNull (JQuery.idRef ("any").after ());
  }

  @Test
  public void testAjaxComplete ()
  {
    assertNotNull (JQuery.idRef ("any").ajaxComplete ());
  }

  @Test
  public void testAjaxError ()
  {
    assertNotNull (JQuery.idRef ("any").ajaxError ());
  }

  @Test
  public void testAjaxSend ()
  {
    assertNotNull (JQuery.idRef ("any").ajaxSend ());
  }

  @Test
  public void testAjaxStart ()
  {
    assertNotNull (JQuery.idRef ("any").ajaxStart ());
  }

  @Test
  public void testAjaxStop ()
  {
    assertNotNull (JQuery.idRef ("any").ajaxStop ());
  }

  @Test
  public void testAjaxSuccess ()
  {
    assertNotNull (JQuery.idRef ("any").ajaxSuccess ());
  }

  @Test
  public void testAnimate ()
  {
    assertNotNull (JQuery.idRef ("any").animate ());
  }

  @Test
  public void testAppend ()
  {
    assertNotNull (JQuery.idRef ("any").append ());
  }

  @Test
  public void testAppendTo ()
  {
    assertNotNull (JQuery.idRef ("any").appendTo ());
  }

  @Test
  public void testAttr ()
  {
    assertNotNull (JQuery.idRef ("any").attr ());
  }

  @Test
  public void testBefore ()
  {
    assertNotNull (JQuery.idRef ("any").before ());
  }

  @Test
  public void testBlur ()
  {
    assertNotNull (JQuery.idRef ("any").blur ());
  }

  @Test
  public void testCallbacks_add ()
  {
    assertNotNull (JQuery.idRef ("any").callbacks_add ());
  }

  @Test
  public void testCallbacks_disable ()
  {
    assertNotNull (JQuery.idRef ("any").callbacks_disable ());
  }

  @Test
  public void testCallbacks_disabled ()
  {
    assertNotNull (JQuery.idRef ("any").callbacks_disabled ());
  }

  @Test
  public void testCallbacks_empty ()
  {
    assertNotNull (JQuery.idRef ("any").callbacks_empty ());
  }

  @Test
  public void testCallbacks_fire ()
  {
    assertNotNull (JQuery.idRef ("any").callbacks_fire ());
  }

  @Test
  public void testCallbacks_fireWith ()
  {
    assertNotNull (JQuery.idRef ("any").callbacks_fireWith ());
  }

  @Test
  public void testCallbacks_fired ()
  {
    assertNotNull (JQuery.idRef ("any").callbacks_fired ());
  }

  @Test
  public void testCallbacks_has ()
  {
    assertNotNull (JQuery.idRef ("any").callbacks_has ());
  }

  @Test
  public void testCallbacks_lock ()
  {
    assertNotNull (JQuery.idRef ("any").callbacks_lock ());
  }

  @Test
  public void testCallbacks_locked ()
  {
    assertNotNull (JQuery.idRef ("any").callbacks_locked ());
  }

  @Test
  public void testCallbacks_remove ()
  {
    assertNotNull (JQuery.idRef ("any").callbacks_remove ());
  }

  @Test
  public void testChange ()
  {
    assertNotNull (JQuery.idRef ("any").change ());
  }

  @Test
  public void testChildren ()
  {
    assertNotNull (JQuery.idRef ("any").children ());
  }

  @Test
  public void testClearQueue ()
  {
    assertNotNull (JQuery.idRef ("any").clearQueue ());
  }

  @Test
  public void testClick ()
  {
    assertNotNull (JQuery.idRef ("any").click ());
  }

  @Test
  public void test_clone ()
  {
    assertNotNull (JQuery.idRef ("any")._clone ());
  }

  @Test
  public void testClosest ()
  {
    assertNotNull (JQuery.idRef ("any").closest ());
  }

  @Test
  public void testContents ()
  {
    assertNotNull (JQuery.idRef ("any").contents ());
  }

  @Test
  public void testContextmenu ()
  {
    assertNotNull (JQuery.idRef ("any").contextmenu ());
  }

  @Test
  public void testCss ()
  {
    assertNotNull (JQuery.idRef ("any").css ());
  }

  @Test
  public void testData ()
  {
    assertNotNull (JQuery.idRef ("any").data ());
  }

  @Test
  public void testDblclick ()
  {
    assertNotNull (JQuery.idRef ("any").dblclick ());
  }

  @Test
  public void testDeferred_always ()
  {
    assertNotNull (JQuery.idRef ("any").deferred_always ());
  }

  @Test
  public void testDeferred_done ()
  {
    assertNotNull (JQuery.idRef ("any").deferred_done ());
  }

  @Test
  public void testDeferred_fail ()
  {
    assertNotNull (JQuery.idRef ("any").deferred_fail ());
  }

  @Test
  public void testDeferred_notify ()
  {
    assertNotNull (JQuery.idRef ("any").deferred_notify ());
  }

  @Test
  public void testDeferred_notifyWith ()
  {
    assertNotNull (JQuery.idRef ("any").deferred_notifyWith ());
  }

  @Test
  public void testDeferred_progress ()
  {
    assertNotNull (JQuery.idRef ("any").deferred_progress ());
  }

  @Test
  public void testDeferred_promise ()
  {
    assertNotNull (JQuery.idRef ("any").deferred_promise ());
  }

  @Test
  public void testDeferred_reject ()
  {
    assertNotNull (JQuery.idRef ("any").deferred_reject ());
  }

  @Test
  public void testDeferred_rejectWith ()
  {
    assertNotNull (JQuery.idRef ("any").deferred_rejectWith ());
  }

  @Test
  public void testDeferred_resolve ()
  {
    assertNotNull (JQuery.idRef ("any").deferred_resolve ());
  }

  @Test
  public void testDeferred_resolveWith ()
  {
    assertNotNull (JQuery.idRef ("any").deferred_resolveWith ());
  }

  @Test
  public void testDeferred_state ()
  {
    assertNotNull (JQuery.idRef ("any").deferred_state ());
  }

  @Test
  public void testDeferred_then ()
  {
    assertNotNull (JQuery.idRef ("any").deferred_then ());
  }

  @Test
  public void testDelay ()
  {
    assertNotNull (JQuery.idRef ("any").delay ());
  }

  @Test
  public void testDequeue ()
  {
    assertNotNull (JQuery.idRef ("any").dequeue ());
  }

  @Test
  public void testDetach ()
  {
    assertNotNull (JQuery.idRef ("any").detach ());
  }

  @Test
  public void testEach ()
  {
    assertNotNull (JQuery.idRef ("any").each ());
  }

  @Test
  public void testEmpty ()
  {
    assertNotNull (JQuery.idRef ("any").empty ());
  }

  @Test
  public void testEnd ()
  {
    assertNotNull (JQuery.idRef ("any").end ());
  }

  @Test
  public void test_eq ()
  {
    assertNotNull (JQuery.idRef ("any")._eq ());
  }

  @Test
  public void testEvent_isDefaultPrevented ()
  {
    assertNotNull (JQuery.idRef ("any").event_isDefaultPrevented ());
  }

  @Test
  public void testEvent_isImmediatePropagationStopped ()
  {
    assertNotNull (JQuery.idRef ("any").event_isImmediatePropagationStopped ());
  }

  @Test
  public void testEvent_isPropagationStopped ()
  {
    assertNotNull (JQuery.idRef ("any").event_isPropagationStopped ());
  }

  @Test
  public void testEvent_preventDefault ()
  {
    assertNotNull (JQuery.idRef ("any").event_preventDefault ());
  }

  @Test
  public void testEvent_stopImmediatePropagation ()
  {
    assertNotNull (JQuery.idRef ("any").event_stopImmediatePropagation ());
  }

  @Test
  public void testEvent_stopPropagation ()
  {
    assertNotNull (JQuery.idRef ("any").event_stopPropagation ());
  }

  @Test
  public void testFadeIn ()
  {
    assertNotNull (JQuery.idRef ("any").fadeIn ());
  }

  @Test
  public void testFadeOut ()
  {
    assertNotNull (JQuery.idRef ("any").fadeOut ());
  }

  @Test
  public void testFadeTo ()
  {
    assertNotNull (JQuery.idRef ("any").fadeTo ());
  }

  @Test
  public void testFadeToggle ()
  {
    assertNotNull (JQuery.idRef ("any").fadeToggle ());
  }

  @Test
  public void testFilter ()
  {
    assertNotNull (JQuery.idRef ("any").filter ());
  }

  @Test
  public void testFind ()
  {
    assertNotNull (JQuery.idRef ("any").find ());
  }

  @Test
  public void testFinish ()
  {
    assertNotNull (JQuery.idRef ("any").finish ());
  }

  @Test
  public void testFirst ()
  {
    assertNotNull (JQuery.idRef ("any").first ());
  }

  @Test
  public void testFocus ()
  {
    assertNotNull (JQuery.idRef ("any").focus ());
  }

  @Test
  public void testFocusin ()
  {
    assertNotNull (JQuery.idRef ("any").focusin ());
  }

  @Test
  public void testFocusout ()
  {
    assertNotNull (JQuery.idRef ("any").focusout ());
  }

  @Test
  public void testGet ()
  {
    assertNotNull (JQuery.idRef ("any").get ());
  }

  @Test
  public void testHas ()
  {
    assertNotNull (JQuery.idRef ("any").has ());
  }

  @Test
  public void testHasClass ()
  {
    assertNotNull (JQuery.idRef ("any").hasClass ());
  }

  @Test
  public void testHeight ()
  {
    assertNotNull (JQuery.idRef ("any").height ());
  }

  @Test
  public void testHide ()
  {
    assertNotNull (JQuery.idRef ("any").hide ());
  }

  @Test
  public void testHover ()
  {
    assertNotNull (JQuery.idRef ("any").hover ());
  }

  @Test
  public void testHtml ()
  {
    assertNotNull (JQuery.idRef ("any").html ());
  }

  @Test
  public void testIndex ()
  {
    assertNotNull (JQuery.idRef ("any").index ());
  }

  @Test
  public void testInnerHeight ()
  {
    assertNotNull (JQuery.idRef ("any").innerHeight ());
  }

  @Test
  public void testInnerWidth ()
  {
    assertNotNull (JQuery.idRef ("any").innerWidth ());
  }

  @Test
  public void testInsertAfter ()
  {
    assertNotNull (JQuery.idRef ("any").insertAfter ());
  }

  @Test
  public void testInsertBefore ()
  {
    assertNotNull (JQuery.idRef ("any").insertBefore ());
  }

  @Test
  public void testIs ()
  {
    assertNotNull (JQuery.idRef ("any").is ());
  }

  @Test
  public void testKeydown ()
  {
    assertNotNull (JQuery.idRef ("any").keydown ());
  }

  @Test
  public void testKeypress ()
  {
    assertNotNull (JQuery.idRef ("any").keypress ());
  }

  @Test
  public void testKeyup ()
  {
    assertNotNull (JQuery.idRef ("any").keyup ());
  }

  @Test
  public void testLast ()
  {
    assertNotNull (JQuery.idRef ("any").last ());
  }

  @Test
  public void testLoad ()
  {
    assertNotNull (JQuery.idRef ("any").load ());
  }

  @Test
  public void testMap ()
  {
    assertNotNull (JQuery.idRef ("any").map ());
  }

  @Test
  public void testMousedown ()
  {
    assertNotNull (JQuery.idRef ("any").mousedown ());
  }

  @Test
  public void testMouseenter ()
  {
    assertNotNull (JQuery.idRef ("any").mouseenter ());
  }

  @Test
  public void testMouseleave ()
  {
    assertNotNull (JQuery.idRef ("any").mouseleave ());
  }

  @Test
  public void testMousemove ()
  {
    assertNotNull (JQuery.idRef ("any").mousemove ());
  }

  @Test
  public void testMouseout ()
  {
    assertNotNull (JQuery.idRef ("any").mouseout ());
  }

  @Test
  public void testMouseover ()
  {
    assertNotNull (JQuery.idRef ("any").mouseover ());
  }

  @Test
  public void testMouseup ()
  {
    assertNotNull (JQuery.idRef ("any").mouseup ());
  }

  @Test
  public void testNext ()
  {
    assertNotNull (JQuery.idRef ("any").next ());
  }

  @Test
  public void testNextAll ()
  {
    assertNotNull (JQuery.idRef ("any").nextAll ());
  }

  @Test
  public void testNextUntil ()
  {
    assertNotNull (JQuery.idRef ("any").nextUntil ());
  }

  @Test
  public void test_not ()
  {
    assertNotNull (JQuery.idRef ("any")._not ());
  }

  @Test
  public void testOff ()
  {
    assertNotNull (JQuery.idRef ("any").off ());
  }

  @Test
  public void testOffset ()
  {
    assertNotNull (JQuery.idRef ("any").offset ());
  }

  @Test
  public void testOffsetParent ()
  {
    assertNotNull (JQuery.idRef ("any").offsetParent ());
  }

  @Test
  public void testOn ()
  {
    assertNotNull (JQuery.idRef ("any").on ());
  }

  @Test
  public void testOne ()
  {
    assertNotNull (JQuery.idRef ("any").one ());
  }

  @Test
  public void testOuterHeight ()
  {
    assertNotNull (JQuery.idRef ("any").outerHeight ());
  }

  @Test
  public void testOuterWidth ()
  {
    assertNotNull (JQuery.idRef ("any").outerWidth ());
  }

  @Test
  public void testParent ()
  {
    assertNotNull (JQuery.idRef ("any").parent ());
  }

  @Test
  public void testParents ()
  {
    assertNotNull (JQuery.idRef ("any").parents ());
  }

  @Test
  public void testParentsUntil ()
  {
    assertNotNull (JQuery.idRef ("any").parentsUntil ());
  }

  @Test
  public void testPosition ()
  {
    assertNotNull (JQuery.idRef ("any").position ());
  }

  @Test
  public void testPrepend ()
  {
    assertNotNull (JQuery.idRef ("any").prepend ());
  }

  @Test
  public void testPrependTo ()
  {
    assertNotNull (JQuery.idRef ("any").prependTo ());
  }

  @Test
  public void testPrev ()
  {
    assertNotNull (JQuery.idRef ("any").prev ());
  }

  @Test
  public void testPrevAll ()
  {
    assertNotNull (JQuery.idRef ("any").prevAll ());
  }

  @Test
  public void testPrevUntil ()
  {
    assertNotNull (JQuery.idRef ("any").prevUntil ());
  }

  @Test
  public void testPromise ()
  {
    assertNotNull (JQuery.idRef ("any").promise ());
  }

  @Test
  public void testProp ()
  {
    assertNotNull (JQuery.idRef ("any").prop ());
  }

  @Test
  public void testPushStack ()
  {
    assertNotNull (JQuery.idRef ("any").pushStack ());
  }

  @Test
  public void testQueue ()
  {
    assertNotNull (JQuery.idRef ("any").queue ());
  }

  @Test
  public void testReady ()
  {
    assertNotNull (JQuery.idRef ("any").ready ());
  }

  @Test
  public void testRemove ()
  {
    assertNotNull (JQuery.idRef ("any").remove ());
  }

  @Test
  public void testRemoveAttr ()
  {
    assertNotNull (JQuery.idRef ("any").removeAttr ());
  }

  @Test
  public void testRemoveClass ()
  {
    assertNotNull (JQuery.idRef ("any").removeClass ());
  }

  @Test
  public void testRemoveData ()
  {
    assertNotNull (JQuery.idRef ("any").removeData ());
  }

  @Test
  public void testRemoveProp ()
  {
    assertNotNull (JQuery.idRef ("any").removeProp ());
  }

  @Test
  public void testReplaceAll ()
  {
    assertNotNull (JQuery.idRef ("any").replaceAll ());
  }

  @Test
  public void testReplaceWith ()
  {
    assertNotNull (JQuery.idRef ("any").replaceWith ());
  }

  @Test
  public void testResize ()
  {
    assertNotNull (JQuery.idRef ("any").resize ());
  }

  @Test
  public void testScroll ()
  {
    assertNotNull (JQuery.idRef ("any").scroll ());
  }

  @Test
  public void testScrollLeft ()
  {
    assertNotNull (JQuery.idRef ("any").scrollLeft ());
  }

  @Test
  public void testScrollTop ()
  {
    assertNotNull (JQuery.idRef ("any").scrollTop ());
  }

  @Test
  public void testSelect ()
  {
    assertNotNull (JQuery.idRef ("any").select ());
  }

  @Test
  public void testSerialize ()
  {
    assertNotNull (JQuery.idRef ("any").serialize ());
  }

  @Test
  public void testSerializeArray ()
  {
    assertNotNull (JQuery.idRef ("any").serializeArray ());
  }

  @Test
  public void testShow ()
  {
    assertNotNull (JQuery.idRef ("any").show ());
  }

  @Test
  public void testSiblings ()
  {
    assertNotNull (JQuery.idRef ("any").siblings ());
  }

  @Test
  public void testSlice ()
  {
    assertNotNull (JQuery.idRef ("any").slice ());
  }

  @Test
  public void testSlideDown ()
  {
    assertNotNull (JQuery.idRef ("any").slideDown ());
  }

  @Test
  public void testSlideToggle ()
  {
    assertNotNull (JQuery.idRef ("any").slideToggle ());
  }

  @Test
  public void testSlideUp ()
  {
    assertNotNull (JQuery.idRef ("any").slideUp ());
  }

  @Test
  public void testStop ()
  {
    assertNotNull (JQuery.idRef ("any").stop ());
  }

  @Test
  public void testSubmit ()
  {
    assertNotNull (JQuery.idRef ("any").submit ());
  }

  @Test
  public void testText ()
  {
    assertNotNull (JQuery.idRef ("any").text ());
  }

  @Test
  public void testToArray ()
  {
    assertNotNull (JQuery.idRef ("any").toArray ());
  }

  @Test
  public void testToggle ()
  {
    assertNotNull (JQuery.idRef ("any").toggle ());
  }

  @Test
  public void testToggleClass ()
  {
    assertNotNull (JQuery.idRef ("any").toggleClass ());
  }

  @Test
  public void testTrigger ()
  {
    assertNotNull (JQuery.idRef ("any").trigger ());
  }

  @Test
  public void testTriggerHandler ()
  {
    assertNotNull (JQuery.idRef ("any").triggerHandler ());
  }

  @Test
  public void testUnwrap ()
  {
    assertNotNull (JQuery.idRef ("any").unwrap ());
  }

  @Test
  public void testVal ()
  {
    assertNotNull (JQuery.idRef ("any").val ());
  }

  @Test
  public void testWidth ()
  {
    assertNotNull (JQuery.idRef ("any").width ());
  }

  @Test
  public void testWrap ()
  {
    assertNotNull (JQuery.idRef ("any").wrap ());
  }

  @Test
  public void testWrapAll ()
  {
    assertNotNull (JQuery.idRef ("any").wrapAll ());
  }

  @Test
  public void testWrapInner ()
  {
    assertNotNull (JQuery.idRef ("any").wrapInner ());
  }

}
